# BEGIN SourceDeps(oneline):
BuildRequires: perl(Class/Easy.pm) perl(ExtUtils/MakeMaker.pm) perl(Net/RabbitMQ.pm) perl(Sys/SigAction.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define module_version 0.05
%define module_name Net-RabbitMQ-Channel
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.05
Release: alt1
Summary: use rabbitmq, OOP style
Group: Development/Perl
License: perl
URL: http://perlhug.com

Source0: http://cpan.org.ua/authors/id/A/AP/APLA/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
use Net::RabbitMQ::Channel;

_my $channel = Net::RabbitMQ::Channel->new (1, {
__hosts => {
___rabbit1 => {user => 'guest', pass => 'guest'},
___rabbit2 => {user => 'guest', pass => 'guest'}
__}
_});

_my $exchange = $channel->exchange_declare (
__'test.x', 
__exchange_type => "topic",
_);

_my $publisher_key = 'test.*';

_# consumer part
_my $queue = $channel->queue_declare (
__'test.q',
__exclusive => 0,
_);

_$queue->bind ($exchange, $publisher_key);

_# publisher part
_$exchange->publish ($publisher_key, $message,
__app_id => 'test',
__timestamp => time
_);
_
_# consumer part
_my $message = $queue->get;


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/N*

%changelog
* Tue Apr 22 2014 Igor Vlasenko <viy@altlinux.ru> 0.05-alt1
- initial import by package builder

